<?php
header("Content-Type: text/xml; charset=utf-8");      
ini_set('max_execution_time', 0); 
$dir = '../inc/';
require_once $dir."database.php";
require_once $dir."DW_class.php";
$dw = new DWDB();
$zaman = date('d.m.Y H:i:s');
//* Seo Link oluşturma
function seo_link($link) {
$link = trim($link);
$eski = array('Ç','ç','Ğ','ğ','ı','İ','Ö','ö','Ş','ş','Ü','ü',' ','\'','|','/','`','&#39;','&quot;','&',',','.','?','®',')','(','{','}','[',']');
$yeni = array('c','c','g','g','i','i','o','o','s','s','u','u','-','-','','-','','','','','','','','','','','','','','');
$seo_link = str_replace($eski,$yeni,$link);
$seo_link = strtolower($seo_link);
return $seo_link;
}
//* Seo Link oluşturma
//* Ayar Cek
$ayarcek = $dw->getRow('SELECT * FROM ayarlar WHERE id = ?', array('bindValues' => array(1)));
//* Ayar Cek
$xml ='<urunler>';
$results = $dw->getResults('SELECT * FROM urunler where anaurun = 0 and durum = 1 order by id');
foreach ($results as $yaz) {
//* Marka cek
$markacek = $dw->getRow('SELECT * FROM markalar WHERE id = ?', array('bindValues' => array($yaz->marka)));
//* Marka cek
//* Resim cek
$resimcek = $dw->getRow('SELECT * FROM resimler WHERE urunid = ?', array('bindValues' => array($yaz->id)));
$resimsayisi = $dw->numRows();
if($resimsayisi == 0) {
$resim = "gorselhazir.png";
} else {
$resim = $resimcek->ortaresim;
}
//* Resim cek
if ($yaz->fiyatbirimi == 0) {
    $fiyatbirim = "TL";
} elseif ($yaz->fiyatbirimi == 1) {
    $fiyatbirim = "USD";
} elseif ($yaz->fiyatbirimi == 2) {
    $fiyatbirim = "EUR";
} elseif ($yaz->fiyatbirimi == 3) {
    $fiyatbirim = "RUB";
} elseif ($yaz->fiyatbirimi == 4) {
    $fiyatbirim = "ALTIN";
}
$kategorisi = $dw->getRow('SELECT * FROM kategoriler WHERE id = ?', array('bindValues' => array($yaz->ustkategori)));
$link = "u/".$yaz->id."/".seo_link("$kategorisi->kategori")."/".seo_link("$yaz->urun");
$xml.= '<urun>
<urun_url><![CDATA['.$ayarcek->sitelink.''.$link.'.html]]></urun_url>
<urun_id>'.$yaz->id.'</urun_id>
<marka><![CDATA['.$markacek->marka.']]></marka>
<baslik><![CDATA['.$yaz->urun.']]></baslik>
<tanim><![CDATA['.$yaz->urun.']]></tanim>
<aciklama1><![CDATA['.$yaz->detay.']]></aciklama1>
<fiyat>'.$yaz->satis_fiyat.'</fiyat>
<indirimlifiyat>'.$yaz->indirimli_fiyat.'</indirimlifiyat>
<indirimorani>10</indirimorani>
<birim>'.$fiyatbirim.'</birim>
<kategori></kategori>
<altkategori></altkategori>
<resimurl><![CDATA['.$ayarcek->sitelink.'yukleme/urun/'.$resim.']]></resimurl>
<stok>'.$yaz->stok.'</stok>
</urun>';
}
$xml .= '</urunler>';
echo $xml;
error_reporting(0);
?>